/***********************************************************************
*                    SEGGER Microcontroller GmbH                       *
*                        The Embedded Experts                          *
************************************************************************
*                                                                      *
*                  (c) SEGGER Microcontroller GmbH                     *
*                        All rights reserved                           *
*                          www.segger.com                              *
*                                                                      *
************************************************************************
*                                                                      *
************************************************************************
*                                                                      *
*                                                                      *
*  Licensing terms                                                     *
*                                                                      *
* Redistribution and use in source and binary forms, with or without   *
* modification, are permitted provided that the following conditions   *
* are met:                                                             *
*                                                                      *
* 1. Redistributions of source code must retain the above copyright    *
* notice, this list of conditions and the following disclaimer.        *
*                                                                      *
* 2. Redistributions in binary form must reproduce the above           *
* copyright notice, this list of conditions and the following          *
* disclaimer in the documentation and/or other materials provided      *
* with the distribution.                                               *
*                                                                      *
*                                                                      *
* THIS SOFTWARE IS PROVIDED BY COPYRIGHT HOLDER "AS IS" AND ANY        *
* EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE    *
* IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR   *
* PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL COPYRIGHT HOLDER BE        *
* LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY,     *
* OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,             *
* PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR   *
* PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY  *
* OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT         *
* (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE    *
* USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH.    *
* DAMAGE.                                                              *
*                                                                      *
************************************************************************

-------------------------- END-OF-HEADER -----------------------------

Purpose : Single core test application for NXPs S32K344 device (Cortex-M7)

*/

#include <stdio.h>
#include <stdlib.h>

/*********************************************************************
*
*       Defines (fixed)
*
**********************************************************************
*/
#ifndef U8
  #define U8  unsigned char
#endif
#ifndef U16
  #define U16 unsigned short
#endif
#ifndef U32
  #define U32 unsigned long
#endif

/*********************************************************************
*
*       main()
*
*  Function description
*    The application runs a endless counter loop.
*    It includes a valid boot header so it runs out-of-the-box.
*
*    For detailed information regarding this, please refer to:
*    https://wiki.segger.com/NXP_S32K3
*/
void main(void) {
  int Cnt;

  do {
    Cnt++;
    Cnt++;
    Cnt++;
    Cnt++;
    Cnt++;
    Cnt++;
    Cnt++;
    Cnt++;
    Cnt++;
    Cnt++;
    Cnt++;
    Cnt++;
    Cnt++;
    Cnt++;
  } while (1);
}

/*************************** End of file ****************************/
